curl -X DELETE "https://api.danubeai.com/v1/webhooks/f47ac10b-58cc-4372-a567-0e02b2c3d479" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"status": "deleted"
}
Webhooks
Delete Webhook
Delete a webhook and stop all deliveries
DELETE
/
v1
/
webhooks
/
{webhook_id}
curl -X DELETE "https://api.danubeai.com/v1/webhooks/f47ac10b-58cc-4372-a567-0e02b2c3d479" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"status": "deleted"
}
Overview
Permanently delete a webhook. All pending deliveries will be cancelled. Delivery history is also removed. Auth: Requires JWT token (Authorization: Bearer <token>). Only the webhook owner can delete it.
Path Parameters
string
required
The webhook UUID to delete
Example
curl -X DELETE "https://api.danubeai.com/v1/webhooks/f47ac10b-58cc-4372-a567-0e02b2c3d479" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
{
"status": "deleted"
}
